package at.ac.uibk.gitsearch.config;

import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * Properties specific to Gitsearch.
 * <p>
 * Properties are configured in the {@code application.yml} file.
 * See {@link io.github.jhipster.config.JHipsterProperties} for a good example.
 */
@ConfigurationProperties(prefix = "application", ignoreUnknownFields = false)
public class ApplicationProperties {

    private Search search;

    public Search getSearch() {
        return search;
    }

    public void setSearch(Search search) {
        this.search = search;
    }

    public static class Search {

        private String highlightPre;
        private String highlightPost;

        public String getHighlightPre() {
            return highlightPre;
        }

        public void setHighlightPre(String highlightPre) {
            this.highlightPre = highlightPre;
        }

        public String getHighlightPost() {
            return highlightPost;
        }

        public void setHighlightPost(String highlightPost) {
            this.highlightPost = highlightPost;
        }
    }
}
