package at.ac.uibk.gitsearch.service.dto;

import at.ac.uibk.gitsearch.es.model.DocumentInfo;

import java.util.Arrays;

public class DocumentInfoDTO {
    private String fileFormat;
    private String content;
    private String repository;
    private String path;
    private final String gitLabUrl = "http://dev-exchange.codeability.org";
    private final String mainGroup = "exchange";
    private String subGroup;
    private String filePath;
    private String fileExtension;

    public DocumentInfoDTO(DocumentInfo doc) {
        this.fileExtension = doc.getFile().getExtension();
        this.content = doc.getContent();

        String[] parts = doc.getPath().getVirtual().replace(" ", "-").split("/");
        String branch = "-/blob/master";
        this.subGroup = parts[1];
        this.repository = String.join("/", Arrays.copyOfRange(parts, 1, 3));
        this.filePath = String.join("/", Arrays.copyOfRange(parts, 3, parts.length));
        this.path = String.format("%s/%s/%s/%s/%s", this.gitLabUrl, this.mainGroup, this.repository, branch, this.filePath);
        this.fileFormat = doc.getFile().getFile_format();
    }

    public String getFileFormat() {
        return fileFormat;
    }

    public void setFileFormat(String fileFormat) {
        this.fileFormat = fileFormat;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getRepository() {
        return repository;
    }

    public void setRepository(String repository) {
        this.repository = repository;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getGitLabUrl() {
        return gitLabUrl;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getSubGroup() {
        return subGroup;
    }

    public void setSubGroup(String subGroup) {
        this.subGroup = subGroup;
    }

    public String getMainGroup() {
        return mainGroup;
    }

    public String getFileExtension() {
        return fileExtension;
    }

    public void setFileExtension(String fileExtension) {
        this.fileExtension = fileExtension;
    }
}
