import {Moment} from "moment";

export interface IFileInfo {
  extension: string;
  content_type: string;
  created: Moment;
  last_modified: Moment;
  last_accessed: Moment;
  indexing_date: Moment;
  filesize: bigint;
  filename: string;
  url: string;
  file_format: string;
}

export class FileInfo implements IFileInfo {
  public constructor(public content_type: string,
                     public created: Moment,
                     public extension: string,
                     public filename: string,
                     public filesize: bigint,
                     public indexing_date: Moment,
                     public last_accessed: Moment,
                     public last_modified: Moment,
                     public url: string,
                     public file_format: string) {
  }

}
